## knack 0.6.3

=== requirements.txt ===
argcomplete==1.8.2
colorama==0.3.9
flake8==3.2.1
jmespath==0.9.2
mock==2.0.0
pylint==1.9.4; python_version <= '2.7'
pylint==2.3.1; python_version >= '3.5'
pygments==2.2.0
pyyaml==3.12
six==1.10.0
tabulate==0.7.7
vcrpy==1.10.3
pytest==3.3.1

## knack 0.6.2

=== debian/changelog ===
knack (0.6.2-1ubuntu1) eoan; urgency=medium

  * Build-depend on pylint which is now python3, not pylint3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 15:47:09 -0700

knack (0.6.2-1) unstable; urgency=medium

  * Merge tag 'v0.6.2' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Jun 2019 12:37:04 +0100

knack (0.6.1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Do not ship temporary directories in the binary. (Closes: #928288)

 -- Luca Boccassi <bluca@debian.org>  Wed, 01 May 2019 10:53:09 +0100

knack (0.6.1-1) unstable; urgency=medium

  * New upstream release 0.6.1:
    - Fix red color contrast for error messages (#147)
    - local context: support chained config file (#148)
    - Bump the version for new release (#149)
    - Always read from local for configured_default (#150)

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Apr 2019 13:43:08 +0100

knack (0.5.4-1) unstable; urgency=medium

  * Initial release. (Closes: #925094)

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Apr 2019 23:48:02 +0100

=== debian/control ===
Source: knack
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pylint <!nocheck>,
               python3-all,
               python3-argcomplete <!nocheck>,
               python3-colorama <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-vcr <!nocheck>,
Standards-Version: 4.3.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Microsoft/knack
Vcs-Browser: https://salsa.debian.org/debian/knack
Vcs-Git: https://salsa.debian.org/debian/knack.git

Package: python3-knack
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python command line interface framework
 Knack provides a set of python modules to build a custom command line
 interface.

## knack 0.6.3

=== debian/changelog ===
knack (0.6.3-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on pylint which is now python3, not pylint3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 16:47:18 +0100

knack (0.6.3-1) unstable; urgency=medium

  * Add -b debian/sid to Vcs-Git field.
  * Bump Standards-Version to 4.4.0.
  * Merge tag 'v0.6.3' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Sep 2019 15:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: knack
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                pylint <!nocheck>,
@@ -13,13 +12,13 @@
                python3-pytest <!nocheck>,
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/knack
 Vcs-Browser: https://salsa.debian.org/debian/knack
-Vcs-Git: https://salsa.debian.org/debian/knack.git
+Vcs-Git: https://salsa.debian.org/debian/knack.git -b debian/sid
 
 Package: python3-knack
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/Microsoft/knack/tags .*/v?(\d\S+)\.tar\.gz

## knack 0.7.2

=== debian/changelog ===
knack (0.7.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Luca Boccassi ]
  * New upstream release 0.7.2
  * Remove redundant Testsuite from d/control
  * Fix capitalization in description

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 11:42:23 +0100

knack (0.7.1-1) unstable; urgency=medium

  * Merge tag 'v0.7.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 May 2020 15:44:58 +0100

knack (0.6.3-3) unstable; urgency=medium

  * Fix watch file syntax for downloaded tarball name
  * Bump Standards-Version to 4.5.0, no changes.
  * Add autopkgtest support
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:35 +0000

=== debian/control ===
Source: knack
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pylint <!nocheck>,
               python3-all,
               python3-argcomplete <!nocheck>,
               python3-colorama <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-vcr <!nocheck>,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Microsoft/knack
Vcs-Browser: https://salsa.debian.org/python-team/modules/knack
Vcs-Git: https://salsa.debian.org/python-team/modules/knack.git -b debian/sid
Testsuite: autopkgtest-pkg-python

Package: python3-knack
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python command line interface framework
 Knack provides a set of Python modules to build a custom command line
 interface.

## knack 0.8.0~rc2

=== requirements.txt ===
argcomplete==1.11.1
colorama==0.4.3
flake8==3.7.9
jmespath==0.9.5
mock==4.0.1
pylint==2.5.3
Pygments==2.5.2
PyYAML==5.3.1
six==1.14.0
tabulate==0.8.6
vcrpy==4.0.2
pytest==5.3.5

=== debian/changelog ===
knack (0.8.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v0.8.0rc2' into debian/sid
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Jan 2021 15:14:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: knack
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -13,13 +13,13 @@
                python3-pytest <!nocheck>,
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/knack
-Vcs-Browser: https://salsa.debian.org/python-team/modules/knack
-Vcs-Git: https://salsa.debian.org/python-team/modules/knack.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/python-team/packages/knack
+Vcs-Git: https://salsa.debian.org/python-team/packages/knack.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-knack

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tmp*

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-knack,

## knack 0.9.0

=== requirements.txt ===
argcomplete==1.12.2
colorama==0.4.4
flake8==4.0.1
jmespath==0.10.0
Pygments==2.8.1
pylint==2.11.1
pytest==6.2.5
PyYAML
tabulate==0.8.9
vcrpy==4.1.1

=== debian/changelog ===
knack (0.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

  [ Luca Boccassi ]
  * Merge tag 'v0.9.0' into debian/sid
  * Drop python3-mock dependency, no longer required
  * Bump Standards-Version to 4.6.0, no changes
  * Switch to dh-sequence-python3
  * autopkgtest: add dependency on python3-all:any
  * Skip broken test

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Nov 2021 16:10:33 +0000

knack (0.8.2-1) unstable; urgency=medium

  * Merge tag 'v0.8.2' into debian/sid
  * Add new build dependencies
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Aug 2021 12:34:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: knack
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pylint <!nocheck>,
                python3-all,
                python3-argcomplete <!nocheck>,
                python3-colorama <!nocheck>,
                python3-flake8 <!nocheck>,
                python3-jmespath <!nocheck>,
-               python3-mock <!nocheck>,
+               python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
-Standards-Version: 4.5.1
+               python3-yaml <!nocheck>,
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## knack 0.10.1

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 argcomplete==1.12.2
-colorama==0.4.4
 flake8==4.0.1
 jmespath==0.10.0
 Pygments==2.8.1

=== debian/changelog ===
knack (0.10.1-1) unstable; urgency=medium

  * Merge tag 'v0.10.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 05 Dec 2022 12:38:04 +0000

knack (0.10.0-1) unstable; urgency=medium

  * Merge tag 'v0.10.0' into debian/sid
  * Drop dependency on colorama, no longer needed
  * Bump Standards-Version to 4.6.1, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Sep 2022 13:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
                pylint <!nocheck>,
                python3-all,
                python3-argcomplete <!nocheck>,
-               python3-colorama <!nocheck>,
                python3-flake8 <!nocheck>,
                python3-jmespath <!nocheck>,
                python3-pygments <!nocheck>,
@@ -14,7 +13,7 @@
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## knack 0.11.0

=== requirements.txt ===
argcomplete==3.1.1
flake8==6.0.0
jmespath==1.0.1
packaging==23.1
Pygments==2.15.1
pylint==2.17.4
pytest==7.4.0
PyYAML
tabulate==0.9.0
vcrpy==5.0.0

=== debian/changelog ===
knack (0.11.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.11.0'
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jul 2023 11:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## knack 0.12.0

=== debian/changelog ===
knack (0.12.0-2) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1100229)

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Mar 2025 00:20:34 +0000

knack (0.12.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.12.0'
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 16 Jul 2024 13:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
                dh-sequence-python3,
                pylint <!nocheck>,
                python3-all,
+               python3-setuptools,
                python3-argcomplete <!nocheck>,
                python3-flake8 <!nocheck>,
                python3-jmespath <!nocheck>,
@@ -13,7 +14,7 @@
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## knack 0.13.0

=== requirements.txt ===
argcomplete==3.4.0
flake8==7.1.0
jmespath==1.0.1
packaging==24.1
Pygments==2.18.0
pylint==3.2.5
pytest==8.2.2
PyYAML
tabulate==0.9.0
vcrpy==6.0.1

=== debian/changelog ===
knack (0.13.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.13.0'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Oct 2025 17:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-tabulate <!nocheck>,
                python3-vcr <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tmp*
export PYBUILD_TEST_ARGS=-v --ignore=tests/test_cli_scenarios.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-knack, python3-all:any,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/knack_$1\.orig\.tar\.gz/ \
  https://github.com/Microsoft/knack/tags .*/v?(\d\S+)\.tar\.gz
